{
	Init[ (s)
	{
		ListenForPlayerShot(true);

		GetPlayer().SetInvulnerable(false);
		GetPlayer().GiveWeapon(40,5);
		GetPlayer().GiveWeapon(43,5);
		GetPlayer().GiveWeapon(42,20);
		//GetPlayer().GiveWeapon(57,20);

		panz = GetEntity("PANZFST");
		panz.MakeInfinitePickup();
		stiel = GetEntity("Stiel");
		stiel.MakeInfinitePickup();

		//tank = GetEntity("rutank");
		//tank.PutInReverse(false);

		flakpanz = GetEntity("flakpnz");
		germ = GetEntity("germ1");
		germ.MountFlakPanzer(flakpanz, 4);
		germ = GetEntity("germ2");
		germ.MountFlakPanzer(flakpanz, 5);
		germ = GetEntity("germ3");
		germ.MountFlakPanzer(flakpanz, 6);

	} ]

	OnPlayerShot[ (s)
	{
		ToggleSkybox(false);

		germ = GetEntity("germ1");
		germ.UnMountVehicle();
		germ = GetEntity("germ2");
		germ.UnMountVehicle();
		germ = GetEntity("germ3");
		germ.UnMountVehicle();


	} ]

}